//Описати своїми словами у кілька рядків, навіщо у програмуванні потрібні цикли.
//відповідь: ЦИкли потрібні дл того, щоб повторяти одну частину коду n- разів до поки умова виконання n-разу не поверне False
//Опишіть у яких ситуаціях ви використовували той чи інший цикл в JS.
//відповідь:
//for(){} - коли потрібно перерати всі елементи в заданому діапазоні ( приклад таблиц множення на 9  від 1 до 9 )
//while(){} - коли спочатку потрібно перевірити  умову а потім виконати  цикл;
//do {} while() -  коли ми не знаємо кількість повторень циклу, даний спосіб циклу виконає зоча б один раз і потім перевірить умову
//Що таке явне та неявне приведення (перетворення) типів даних у JS?
//відповідь: явне перетворення - перетворення типів, яке нами було написано навмисно 
//неявне перетворення - перетворення типів, яке відбулося ,але не прямий результат  , а як наслідок дій  


let userNum;

while (userNum === null || userNum === '' || isNaN(userNum) || parseFloat(userNum) !== +userNum) {
    userNum = prompt('enter number')
}

if (userNum < 5) {
    console.log('Sorry, no numbers')
} else {
    for (let i = 1; i <= userNum; i++) {
        if (i % 5 === 0) {
            console.log(i);
        }
    }
}